<template>
  <div
    class="ui left vertical menu sidebar"
    id="sidebar"
  >
    <div class="ui hidden divider"></div>
    <div class="item">
      <h3 class="ui header">Gestion commandes</h3>
      <div class="menu">
        <h3>
          <router-link :to="{ name: 'lotd' }" class="item">Commande du jour</router-link>
          <!-- <router-link :to="{ name: 'history' }" class="item">Historique</router-link> -->
        </h3>
      </div>
      <div class="ui hidden divider"></div>
    </div>

    <div class="ui hidden divider"></div>
    <div class="item">
      <h3 class="ui header">Gestion pavillons</h3>
      <div class="menu">
        <h3>
          <router-link :to="{ name: 'users' }" class="item">Utilisateurs</router-link>
          <router-link :to="{ name: 'pavillons' }" class="item">Pavillons</router-link>
          <router-link :to="{ name: 'patients' }" class="item">Patients</router-link>
        </h3>
      </div>
      <div class="ui hidden divider"></div>
    </div>

    <div class="ui hidden divider"></div>
    <div class="item">
      <h3 class="ui header">Gestion diététique</h3>
      <div class="menu">
        <h3>
          <!-- <router-link :to="{name: 'calendar'}" class="item">Calendrier de repas</router-link> -->
          <router-link :to="{name: 'meals'}" class="item">Repas</router-link>
          <router-link :to="{name: 'menus'}" class="item">Menus</router-link>
          <router-link :to="{name: 'diets'}" class="item">Régimes</router-link>
        </h3>
      </div>
      <div class="ui hidden divider"></div>
    </div>

  </div>
</template>

<script>
export default {
  name: 'TheSidebar',
  data () {
    return {
    }
  },
  methods: {
  },
  mounted () {
    // eslint-disable-next-line
    this.sidebar = $('#sidebar')
      .sidebar({
        context: '#appContent',
        transition: 'overlay'
      })
  }
}
</script>

<style>
.router-link-active {
  color: #4183c4 !important;
}
</style>
